Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers
Class MakumbaINIFileReader

    java.lang.Object
      ch.ubique.inieditor.IniEditor
          org.makumba.providers.MakumbaINIFileReader

    public class MakumbaINIFileReader

extends ch.ubique.inieditor.IniEditor

This INI file reader builds on `INIFile`, and adds other methods useful for Makumba.

Version:
  $Id: AdvancedINIFileReader.java,v 1.1 Oct 6, 2008 2:52:01 AM rudi Exp $
Author:
  Rudolf Mayer

Nested Class Summary

Nested classes/interfaces inherited from class ch.ubique.inieditor.IniEditor
`ch.ubique.inieditor.IniEditor.NoSuchSectionException, ch.ubique.inieditor.IniEditor.Section`

Constructor Summary
`MakumbaINIFileReader(URL url)`

Method Summary
`boolean` | `getBooleanProperty(String section, String property, MakumbaINIFileReader otherConfig)`
`Map<String,String>` | `getProperties(String section)` Gets all properties from the specified section.
`Map<String,String>` | `getProperties(String section, MakumbaINIFileReader defaultConfig)` Gets all properties from the specified section in defaultConfig, overwriting it with more specific settings found in this config.
`Map<String,Map<String,String>>` | `getPropertiesStartingWith(String sectionPrefix)`
`String` | `getProperty(String section, String property)`
`String` | `getSource()`
`String` | `getStringProperty(String section, String property, MakumbaINIFileReader otherConfig)`

Methods inherited from class ch.ubique.inieditor.IniEditor
`addBlankLine, addComment, addSection, get, hasOption, hasSection, load, load, load, load, optionNames, remove, removeSection, save, save, save, save, sectionNames, set, setOptionFormatString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MakumbaINIFileReader

    public MakumbaINIFileReader(URL url)
                         throws IOException

Throws:
  `IOException`

Method Detail

### getStringProperty

    public String getStringProperty(String section,
                                    String property,
                                    MakumbaINIFileReader otherConfig)

### getProperty

    public String getProperty(String section,
                              String property)

### getBooleanProperty

    public boolean getBooleanProperty(String section,
                                      String property,
                                      MakumbaINIFileReader otherConfig)

### getProperties

    public Map<String,String> getProperties(String section)

  Gets all properties from the specified section.

### getProperties

    public Map<String,String> getProperties(String section,
                                            MakumbaINIFileReader defaultConfig)

  Gets all properties from the specified section in defaultConfig, overwriting it with more specific settings found in this config.

### getPropertiesStartingWith

    public Map<String,Map<String,String>> getPropertiesStartingWith(String sectionPrefix)

### getSource

    public String getSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20